Bug 582352 - Review Request: sentinella - Monitors your system activity and takes chosen action
Summary: Review Request: sentinella - Monitors your system activity and takes chosen ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 582314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-14 17:30 UTC by Thomas Janssen
Modified: 2010-06-04 18:55 UTC (History)
4 users (show)

Fixed In Version: sentinella-0.6.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 18:49:07 UTC
jreznik: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2010-04-14 17:30:47 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/sentinella.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/sentinella-0.6.0-1.fc12.src.rpm
Description: 
Application that monitors your system activity and, when a condition is met, 
takes the action that you've chosen.
While monitoring your CPU, memory, hard drive and network usage, Sentinella 
can be programmed to take specific actions when set-points for utilization 
or time are met. It can power off, reboot or hibernate your system, 
kill an active process, throw an alarm or execute any command.

Sentinella integrates perfectly with KDE4 and will work on many *nix systems.

Comment 1 Jaroslav Reznik 2010-04-15 08:48:43 UTC
Package and SPEC name: ok
License: ok
Upstream source code: ok (85679746aa5b50105b16b46924b9b6ad  ../SOURCES/Sentinella-0.6.0.tar.gz)

Do not use Requires: libsysactivity!!! If version 0.5.1 and greater is requires - use libsysactivity-devel >= 0.5.1. I'm not sure about that spurious-executable-perms in -debuginfo.

Comment 3 Jaroslav Reznik 2010-04-15 11:43:33 UTC
- As it's GUI application, it should install desktop file - see https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files.
- As package installs icon, icons cache should be recreated.

Comment 4 Jaroslav Reznik 2010-04-15 11:50:47 UTC
Last question - what's the license of included sounds? Looks like collection of alarms found on internet...

Comment 5 Thomas Janssen 2010-04-16 16:09:12 UTC
Fixed .desktop file, well spotted, thanks.
Fixed icon cache
Mail sent upstream for sounds license clarification.

Spec URL: http://thomasj.fedorapeople.org/reviews/sentinella.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/sentinella-0.6.0-3.fc12.src.rpm

Comment 6 Jaroslav Reznik 2010-04-19 11:54:38 UTC
Thanks Thomas,
let me know once sound files license is clarified.

Comment 7 Thomas Janssen 2010-04-26 18:46:51 UTC
Added Carlos (the developer) to CC to clarify the sounds license included with sentinella.

Comment 8 Thomas Janssen 2010-04-26 18:51:43 UTC
Well, Carlos already sent me a mail, following:

The soundfiles are released under Creative Commons Sampling plus 1.0
license but i've just realized that it might be not free (it limits
the way you distribute and use it). Please, let me note if its not ok.
I can make the soundfiles by my own or ask for help in sourceforge
(and make a minor release soon).

Let me find out what our License page knows..

Comment 9 Thomas Janssen 2010-04-26 18:59:42 UTC
Yep, bad license:

http://fedoraproject.org/wiki/Licensing

Ok Carlos, it won't be approved with that soundfiles (or to be more precise, with that license). Sorry.

Comment 10 Jaroslav Reznik 2010-04-27 10:42:00 UTC
Yes, please change licence or new files should be used. What about KDE default sounds usage? Do this cover all needed sounds (is it possible to map events there?)

Comment 11 Carlos Olmedo Escobar 2010-04-27 11:11:06 UTC
I've just asked for help in sourceforge so i guess i will have new audio samples in few days (released under CC-BY or CC-BY-SA). I will try also this minor release ships some translations.

Comment 12 Jaroslav Reznik 2010-04-27 11:46:05 UTC
(In reply to comment #11)
> I've just asked for help in sourceforge so i guess i will have new audio
> samples in few days (released under CC-BY or CC-BY-SA). I will try also this
> minor release ships some translations.    

Great, thank you Carlos!

Comment 13 Carlos Olmedo Escobar 2010-05-03 09:31:29 UTC
I replaced the old files with three new samples made by myself. I release them under CC-BY-SA, there is a notice about it in the about dialog.

Now i'm waiting for the completion of a couple of translations and then i will release the 0.6.1 version.

Comment 14 Thomas Janssen 2010-05-03 14:12:01 UTC
Awesome, thank you very much Carlos!

Comment 15 Carlos Olmedo Escobar 2010-05-06 16:17:48 UTC
Hi, version 0.6.1 is just released as promised. Here is the changelog so you don't miss what have changed:

 * Replaced audio files released under CC sampling plus by three self-made files released under CC-BY-SA 3.0
 * Added six new translations.
 * The final binary name will be "sentinella" (with lower "s").
 * Added .desktop file.
 * Now the condition runs in a high-prioritized thread.

Comment 16 Thomas Janssen 2010-05-06 17:35:48 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/sentinella.spec
SRPM URL:
http://thomasj.fedorapeople.org/reviews/sentinella-0.6.1-1.fc12.src.rpm

Upstreamed patch to fix the .desktop file:
http://sourceforge.net/tracker/?func=detail&atid=1179456&aid=2997765&group_id=277778

rpmlint sentinella.spec ../SRPMS/sentinella-0.6.1-1.fc12.src.rpm ../RPMS/x86_64/sentinella-*0.6.1*
sentinella-debuginfo.x86_64: E: world-writable /usr/src/debug/Sentinella-0.6.1/x86_64-redhat-linux-gnu/src/ui_MainWindow.h 0666
3 packages and 1 specfiles checked; 1 errors, 0 warnings.

The world-writable hurts me. The ui_MainWindow.h gets created trough compile time. I have no clue how to fix/patch this.

Comment 17 Thomas Janssen 2010-05-06 18:31:02 UTC
Ok, i fixed the world-writable. Links above.

Comment 18 Jaroslav Reznik 2010-05-18 13:52:36 UTC
Great, thanks Thomas and Carlos. All issues are fixed, rpmlint output is clean, new sources md5sum is ok (6d00dc3b03ad7eba43bd6ec4c41faae1).

APPROVED

Comment 19 Thomas Janssen 2010-05-18 14:00:58 UTC
New Package CVS Request
=======================
Package Name: sentinella
Short Description: Monitors your system activity and takes chosen action
Owners: thomasj
Branches: F-12 F-13
InitialCC:

Comment 20 Dennis Gilmore 2010-05-18 18:31:44 UTC
CVS Done

Comment 21 Fedora Update System 2010-05-19 10:50:05 UTC
sentinella-0.6.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sentinella-0.6.1-1.fc13

Comment 22 Fedora Update System 2010-05-19 10:50:12 UTC
sentinella-0.6.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sentinella-0.6.1-1.fc12

Comment 23 Fedora Update System 2010-05-19 19:07:54 UTC
sentinella-0.6.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sentinella'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sentinella-0.6.1-1.fc13

Comment 24 Fedora Update System 2010-05-19 19:11:51 UTC
sentinella-0.6.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sentinella'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sentinella-0.6.1-1.fc12

Comment 25 Fedora Update System 2010-06-04 18:49:02 UTC
sentinella-0.6.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-06-04 18:55:12 UTC
sentinella-0.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.